> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve store config

> Retrieve store config detail



## OpenAPI

````yaml get /store/config
openapi: 3.1.0
info:
  version: '1.0'
  title: CE Storefront APIs
  summary: Customer-facing e-commerce API for building exceptional shopping experiences
  description: >-
    Public-facing API for Commerce Engine storefronts, enabling seamless
    shopping experiences with product browsing, cart management, checkout
    processing, user accounts, and order tracking. Perfect for building web,
    mobile, and headless commerce applications.
  contact:
    name: Support
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
  license:
    url: https://www.commercengine.io/contact-us
    name: All Rights Reserved
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/storefront
    description: Staging Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: staging
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/storefront
    description: Prod Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: prod
security: []
tags:
  - name: Analytics
    description: Analytics
  - name: Auth
    description: auth
  - name: Campaigns
    description: Campaigns
  - name: Carts
    description: Carts
  - name: Catalog
    description: Catalog
  - name: Common
    description: Common
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Juspay
    description: Juspay Payments
  - name: KYC
    description: KYC
  - name: Marketplace
    description: Marketplace
  - name: Orders
    description: Orders
  - name: Others
    description: Others
  - name: Payments
    description: Payments
  - name: PayU
    description: PayU Payments
  - name: POS
    description: POS
  - name: Shipping
    description: Shipping
  - name: Store
    description: Store
  - name: Subscriptions
    description: Subscriptions
externalDocs:
  url: https://llm-docs.commercengine.io
  description: Commerce Engine API Reference Documentation
paths:
  /store/config:
    parameters: []
    get:
      tags:
        - Store
      summary: Retrieve store config
      description: Retrieve store config detail
      operationId: get-config
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      store_config:
                        $ref: '#/components/schemas/StoreConfig'
                    type: object
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - X-Api-Key: []
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/operations/get-config
        description: API reference for the get-config operation
components:
  schemas:
    StoreConfig:
      title: StoreConfig
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/StoreConfig
        description: API reference for the StoreConfig schema
      required:
        - is_kyc_enabled
        - is_customer_group_enabled
        - brand
        - currency
        - customer_groups
        - kyc_documents
        - analytics_providers
        - payment_providers
        - terms_of_service
        - refund_policy
      properties:
        is_kyc_enabled:
          type: boolean
          default: false
        is_customer_group_enabled:
          type: boolean
          default: false
        brand:
          $ref: '#/components/schemas/Brand'
        currency:
          $ref: '#/components/schemas/Currency'
        customer_groups:
          type: array
          items:
            $ref: '#/components/schemas/CustomerGroup'
          readOnly: true
        kyc_documents:
          type: array
          items:
            $ref: '#/components/schemas/KycDocumentConfig'
          readOnly: true
        analytics_providers:
          type: array
          items:
            $ref: '#/components/schemas/AnalyticsProvider'
          readOnly: true
        payment_providers:
          type: array
          items:
            $ref: '#/components/schemas/PaymentProvider'
          readOnly: true
        terms_of_service:
          $ref: '#/components/schemas/StoreTemplate'
        refund_policy:
          $ref: '#/components/schemas/StoreTemplate'
    Brand:
      title: Brand
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/Brand
        description: API reference for the Brand schema
      required:
        - name
        - logo_url
        - social_media_links
      properties:
        name:
          description: brand name. it will be used in emails and other communications.
          type: string
        logo_url:
          type:
            - string
            - 'null'
        social_media_links:
          description: "json object having key - value pair.\r\n\r\nexample - {\"facebook\": \"www.facebook.com/commecengine\"}"
          type: object
          additionalProperties:
            type: string
    Currency:
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/Currency
        description: API reference for the Currency schema
      required:
        - name
        - code
        - symbol
      properties:
        name:
          type: string
          examples:
            - Indian Rupee
        code:
          type: string
          examples:
            - INR
          maxLength: 3
          minLength: 3
        symbol:
          type: string
          examples:
            - ₹
    CustomerGroup:
      title: CustomerGroup
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/CustomerGroup
        description: API reference for the CustomerGroup schema
      required:
        - id
        - name
        - slug
        - description
        - is_default
        - active
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
        slug:
          type: string
        description:
          type:
            - string
            - 'null'
        is_default:
          description: first record will be treated as default if not changed.
          type: boolean
        active:
          type: boolean
          default: true
    KycDocumentConfig:
      title: KycDocumentConfig
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/KycDocumentConfig
        description: API reference for the KycDocumentConfig schema
      required:
        - id
        - document_type
        - title
        - description
        - active
        - is_mandatory
        - is_attachment_required
        - verification_type
      properties:
        id:
          type: string
          readOnly: true
        document_type:
          enum:
            - gst
            - pan
            - other
        title:
          type: string
        description:
          type:
            - string
            - 'null'
        active:
          type: boolean
          default: true
        is_mandatory:
          type: boolean
        is_attachment_required:
          type: boolean
        verification_type:
          enum:
            - auto
            - manual
    AnalyticsProvider:
      title: AnalyticsProvider
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/AnalyticsProvider
        description: API reference for the AnalyticsProvider schema
      allOf:
        - $ref: '#/components/schemas/ServiceProviderBasicDetail'
        - type: object
          properties:
            analytics_provider_slug:
              type: string
            api_credentials:
              type: object
          required:
            - analytics_provider_slug
            - api_credentials
    PaymentProvider:
      title: PaymentProvider
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/PaymentProvider
        description: API reference for the PaymentProvider schema
      allOf:
        - $ref: '#/components/schemas/ServiceProviderBasicDetail'
        - type: object
          properties:
            payment_provider_slug:
              type: string
          required:
            - payment_provider_slug
    StoreTemplate:
      title: StoreTemplate
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/StoreTemplate
        description: API reference for the StoreTemplate schema
      required:
        - id
        - name
        - content_title
        - content_type
        - content
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
        content_title:
          description: to be used in email subject or notification heading if provided.
          type:
            - string
            - 'null'
        content_type:
          enum:
            - html
            - markdown
            - plaintext
        content:
          type: string
      x-tags:
        - Store
    ServiceProviderBasicDetail:
      title: ServiceProviderBasicDetail
      type: object
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/schemas/ServiceProviderBasicDetail
        description: API reference for the ServiceProviderBasicDetail schema
      required:
        - id
        - name
        - short_description
        - features
        - logo_dark
        - logo_light
      properties:
        id:
          type: string
        name:
          type: string
        short_description:
          type: string
        features:
          type: array
          items:
            type: object
        logo_dark:
          description: The logo url of the service provider in dark mode.
          type: string
        logo_light:
          description: The logo url of the service provider in light mode.
          type: string
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                x-speakeasy-error-message: true
              success:
                type: boolean
              code:
                type: string
              error:
                type: object
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                examples:
                  - Not authorized for given operation on the Resource.
                x-speakeasy-error-message: true
              success:
                type: boolean
                default: false
              code:
                type: string
                examples:
                  - unauthorized
    NotFound:
      description: Requested resource not found
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                x-speakeasy-error-message: true
              success:
                type: boolean
              code:
                type: string
  securitySchemes:
    X-Api-Key:
      type: apiKey
      description: API key for your store
      name: X-Api-Key
      in: header

````